package org.springblade.system.service;

import org.springblade.common.core.domain.AjaxResult;
import org.springblade.system.domain.*;

import java.util.List;

/**
 * @Author：liang.chao
 * @Date：2025/9/11 - 10:04
 */
public interface ProjectService {

    List<ProjectDto> list(ProjectDto dto);

    List<SelectDto> getFileCatalogSelect();

    AjaxResult updateContentsName(ProjectDto projectDto);

	ProjectDto getProjectNameById(ProjectDto dto);

	List<ProjectDto> getArchivingManage(ProjectDto dto);

	String getAuditStatus(ProjectDto dto);

	List<DaKyProFilesContentsDto> getArchivingManageFiles(TransferApplyDto dto);

	AjaxResult addRectification(RectificationDto dto);

	AjaxResult agreeRectification(RectificationDto dto);

	AjaxResult transferAuditDetail(RectificationDto dto);
}
